#ifndef _STUDENT_HPP_
#define _STUDENT_HPP_

#include "person.hpp"
#include "thesis.hpp"

class Student : public virtual Person {
protected:
	int matnr;
	Thesis* thesis;
	
public:
	Student(std::string vorname, std::string nachname, int matnr);
	Student(const Student& s);
	virtual Student& operator=(const Student& s);
	virtual void setThesis(Thesis* thesis);
	virtual ~Student();
	virtual std::string toString() const;
	virtual void work();
};

#endif
