#include "dozent.hpp"
#include <sstream>
#include <iostream>

using std::string;

Dozent::Dozent(std::string vorname, std::string nachname, std::string kuerzel) : Person(vorname, nachname), kuerzel(kuerzel) {
}

Dozent::~Dozent() {
	std::cout << "Destruktor von Dozent" << std::endl;
}

string Dozent::toString() const {
	std::stringstream strstr;
	strstr << vorname << " " << nachname << " (" << kuerzel << ")";
	return strstr.str();
}

void Dozent::work() {
	std::cout << "Dozent hält Vorlesung" << std::endl;
}
