#ifndef _PERSON_HPP_
#define _PERSON_HPP_

#include <string>


class Person {
//friend int main();
//friend class andereKlasse;

protected:
	std::string vorname;
	std::string nachname;
	const int id;
	
	static int count;
	const static int answer;
	
public:
	Person(std::string vorname, std::string nachname);
	virtual ~Person();
	virtual std::string toString() const;
	virtual void work() = 0;
	virtual Person& operator=(const Person& p);
	
	static int getCount();
};

#endif
