#include "studierenderdozent.hpp"
#include <sstream>
#include <iostream>

using std::string;

StudierenderDozent::StudierenderDozent(std::string vorname, std::string nachname, std::string kuerzel, int matnr) 
	: Person(vorname, nachname), Dozent(vorname, nachname, kuerzel), Student(vorname, nachname, matnr) {
}

StudierenderDozent::~StudierenderDozent() {
	std::cout << "Destruktor von Dozent" << std::endl;
}

string StudierenderDozent::toString() const {
	std::stringstream strstr;
	strstr << vorname << " " << nachname << " (" << kuerzel << ", " << matnr << ")";
	return strstr.str();
}

void StudierenderDozent::work() {
	this->Dozent::work();
	this->Student::work();
}
